Loading...
Searching...
No Matches
starpu_mpi_lb.h File Reference
`#include <starpu.h>`

Go to the source code of this file.

## Data Structures

struct | starpu_mpi_lb_conf

## Functions

void | starpu_mpi_lb_init (const char *lb_policy_name, struct starpu_mpi_lb_conf *)
void | starpu_mpi_lb_shutdown (void)

## Data Structure Documentation

## starpu_mpi_lb_conf

struct starpu_mpi_lb_conf

todo

Data Fields
void(*)(int **neighbor_ids, int *nneighbors) | get_neighbors |
void(*)(starpu_data_handle_t **handle_unit, int *nhandles, int dst_node) | get_data_unit_to_migrate |

## Function Documentation

## starpu_mpi_lb_init()

void starpu_mpi_lb_init | ( | const char * | lb_policy_name,
|  | struct starpu_mpi_lb_conf * | )

Initialize the load balancer's environment with the load policy provided by the user